import { Request, Response } from 'servie';
import { Middleware } from 'throwback';
/**
 * Request normalization.
 */
export interface NormalizeRequestOptions {
    upgradeInsecureRequests?: boolean;
}
/**
 * Default header handling.
 */
export declare function normalizeRequest<T extends Request, U extends Response>(options?: NormalizeRequestOptions): Middleware<T, U>;
/**
 * Redirect middleware configuration.
 */
export interface FollowRedirectsOptions {
    maxRedirects?: number;
    confirmRedirect?: (request: Request, response: Response) => boolean;
}
/**
 * Middleware function for following HTTP redirects.
 */
export declare function followRedirects<T extends Request, U extends Response>(options?: FollowRedirectsOptions): Middleware<T, U>;
